On Tue, Sep 23, 2008 at 5:19 PM, Santi <[EMAIL PROTECTED]> wrote:
> Package: eeepc-acpi-scripts
> Version: 1.0.7
> Severity: normal
> Tags: patch
>
> /usr/share/doc/eeepc-acpi-scripts is not necessary for the package,
> but functions.sh is, so the doc directory may be remove to save space.
>
Sorry, but the patch was so obviously, I didn't test it, and functions
is a file so the test is [ -f $file].
Here I attatch a corrected and tested patch against git master branch.
Best regards,
Santi
From af1848b187c003f2c5f2ce5211b2f6153fa73587 Mon Sep 17 00:00:00 2001
From: Santi <[EMAIL PROTECTED]>
Date: Tue, 23 Sep 2008 17:14:36 +0200
Subject: [PATCH] Test for /usr/share/eeepc-acpi-scripts/functions.sh
/usr/share/doc/eeepc-acpi-scripts is not necessary for the package,
but functions.sh is, so the doc directory may be remove to save space.
---
actions/hotkey.sh | 2 +-
actions/suspend.sh | 2 +-
actions/vga-toggle.sh | 2 +-
actions/volume.sh | 2 +-
4 files changed, 4 insertions(+), 4 deletions(-)
diff --git a/actions/hotkey.sh b/actions/hotkey.sh
index 5009cc7..3fdd7a6 100755
--- a/actions/hotkey.sh
+++ b/actions/hotkey.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# do nothing if package is removed
-[ -d /usr/share/doc/eeepc-acpi-scripts ] || exit 0
+[ -f /usr/share/eeepc-acpi-scripts/functions.sh ] || exit 0
. /etc/default/eeepc-acpi-scripts
. /usr/share/eeepc-acpi-scripts/functions.sh
diff --git a/actions/suspend.sh b/actions/suspend.sh
index ac680ea..8fc8a76 100755
--- a/actions/suspend.sh
+++ b/actions/suspend.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# do nothing if package is removed
-[ -d /usr/share/doc/eeepc-acpi-scripts ] || exit 0
+[ -f /usr/share/eeepc-acpi-scripts/functions.sh ] || exit 0
if (runlevel | grep -q [06]) || (pidof '/sbin/shutdown' > /dev/null); then
exit 0
diff --git a/actions/vga-toggle.sh b/actions/vga-toggle.sh
index ad0f5da..1fae7f9 100755
--- a/actions/vga-toggle.sh
+++ b/actions/vga-toggle.sh
@@ -1,7 +1,7 @@
#!/bin/sh
# do nothing if package is removed
-[ -d /usr/share/doc/eeepc-acpi-scripts ] || exit 0
+[ -f /usr/share/eeepc-acpi-scripts/functions.sh ] || exit 0
. /etc/default/eeepc-acpi-scripts
diff --git a/actions/volume.sh b/actions/volume.sh
index 5c06820..4d5f17a 100755
--- a/actions/volume.sh
+++ b/actions/volume.sh
@@ -3,7 +3,7 @@
# Volume controls
# do nothing if package is removed
-[ -d /usr/share/doc/eeepc-acpi-scripts ] || exit 0
+[ -f /usr/share/eeepc-acpi-scripts/functions.sh ] || exit 0
. /etc/default/eeepc-acpi-scripts
. /usr/share/eeepc-acpi-scripts/functions.sh
--
1.5.6.5
_______________________________________________
Debian-eeepc-devel mailing list
[email protected]
http://lists.alioth.debian.org/mailman/listinfo/debian-eeepc-devel